Cyberduck Mountain Duck CLI

#11515 closed defect (fixed)

Failure connecting with protocols requiring com.fasterxml.jackson

Reported by: dkocher Owned by:
Priority: normal Milestone: 7.8.0
Component: cli Version: 7.4.1
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows 10

Description

[background-1] DEBUG ch.cyberduck.core.KeychainLoginService - Attempt authentication for Host{protocol=Profile{parent=dracoon, vendor=iterate GmbH, description=DRACOON (OAuth), image=Local{path='C:\cygwin64\tmp\33d6c2b1-2c27-4df2-8d8f-f4e471474d9b\sOb4voUZ'}}, port=443, hostname='dracoon.team', credentials=Credentials{user='', oauth='Tokens{accessToken='null', refreshToken='null'}', token='', identity=null}, uuid='null', nickname='null', defaultpath='/', workdir=null, labels=null}
[background-1] DEBUG javax.ws.rs.ext.FactoryFinder - Unable to load provider class org.glassfish.jersey.internal.RuntimeDelegateImpl using custom classloader ikvm.runtime.AssemblyClassLoader trying again with current classloader.
[background-1] DEBUG org.glassfish.jersey.inject.hk2.AbstractHk2InjectionManager - Clearing Jersey HK2 caches. Service cache size: 3, reflection cache size: 20.
[background-1] INFO  org.glassfish.jersey.process.internal.ExecutorProviders - Selected ExecutorServiceProvider implementation [org.glassfish.jersey.client.DefaultClientAsyncExecutorProvider] to be used for injection of executor qualified by [org.glassfish.jersey.client.ClientAsyncExecutor] annotation.
[background-1] INFO  org.glassfish.jersey.process.internal.ExecutorProviders - Selected ScheduledExecutorServiceProvider implementation [org.glassfish.jersey.client.DefaultClientBackgroundSchedulerProvider] to be used for injection of scheduler qualified by [org.glassfish.jersey.client.ClientBackgroundScheduler] annotation.
[background-1] WARN  org.glassfish.jersey.internal.Errors - The following warnings have been detected: WARNING: HK2 failure has been detected in a code that does not run in an active Jersey Error scope.
WARNING: Unknown HK2 failure detected:
MultiException stack 1 of 2
java.util.ServiceConfigurationError: com.fasterxml.jackson.databind.Module: Provider com.fasterxml.jackson.datatype.jdk8.Jdk8Module not found
        at java.util.ServiceLoader.fail(ServiceLoader.java:239)
        at java.util.ServiceLoader.access$300(ServiceLoader.java:185)
        at java.util.ServiceLoader$LazyIterator.nextService(ServiceLoader.java:375)
        at java.util.ServiceLoader$LazyIterator.next(ServiceLoader.java:409)
        at java.util.ServiceLoader$1.next(ServiceLoader.java:480)
        at com.fasterxml.jackson.databind.ObjectMapper.findModules(ObjectMapper.java:1063)
        at com.fasterxml.jackson.databind.ObjectMapper.findModules(ObjectMapper.java:1047)
        at com.fasterxml.jackson.databind.ObjectMapper.findAndRegisterModules(ObjectMapper.java:1097)
        at org.glassfish.jersey.jackson.internal.DefaultJacksonJaxbJsonProvider.findAndRegisterModules(DefaultJacksonJaxbJsonProvider.java:47)
        at org.glassfish.jersey.jackson.internal.DefaultJacksonJaxbJsonProvider.<init>(DefaultJacksonJaxbJsonProvider.java:34)
        at Java_sun_reflect_ReflectionFactory+ActivatorConstructorAccessor.newInstance(Unknown Source)
        at java.lang.reflect.Constructor.newInstance(Constructor.java:414)
        at org.glassfish.hk2.utilities.reflection.ReflectionHelper.makeMe(ReflectionHelper.java)
        at org.jvnet.hk2.internal.ClazzCreator.createMe(ClazzCreator.java:262)
        at org.jvnet.hk2.internal.ClazzCreator.create(ClazzCreator.java:342)
        at org.jvnet.hk2.internal.SystemDescriptor.create(SystemDescriptor.java:463)
        at org.jvnet.hk2.internal.SingletonContext$1.compute(SingletonContext.java:59)
        at org.jvnet.hk2.internal.SingletonContext$1.compute(SingletonContext.java:47)
        at org.glassfish.hk2.utilities.cache.Cache$OriginThreadAwareFuture$1.call(Cache.java:74)
        at java.util.concurrent.FutureTask.run(FutureTask.java:266)
        at org.glassfish.hk2.utilities.cache.Cache$OriginThreadAwareFuture.run(Cache.java:132)
        at org.glassfish.hk2.utilities.cache.Cache.compute(Cache.java:176)
        at org.jvnet.hk2.internal.SingletonContext.findOrCreate(SingletonContext.java:98)
        at org.jvnet.hk2.internal.Utilities.createService(Utilities.java:2102)
        at org.jvnet.hk2.internal.ServiceHandleImpl.getService(ServiceHandleImpl.java:93)
        at org.jvnet.hk2.internal.ServiceHandleImpl.getService(ServiceHandleImpl.java:67)
        at org.glassfish.jersey.inject.hk2.AbstractHk2InjectionManager.lambda$getAllServiceHolders$0(AbstractHk2InjectionManager.java:135)
        at org.glassfish.jersey.inject.hk2.AbstractHk2InjectionManager$$Lambda$0/35965475.apply(Unknown Source)
        at java.util.stream.ReferencePipeline$3$1.accept(ReferencePipeline.java:193)
        at java.util.LinkedList$LLSpliterator.forEachRemaining(LinkedList.java:1236)
        at java.util.stream.AbstractPipeline.copyInto(AbstractPipeline.java:513)
        at java.util.stream.AbstractPipeline.wrapAndCopyInto(AbstractPipeline.java:503)
        at java.util.stream.ReduceOps$ReduceOp.evaluateSequential(ReduceOps.java:708)
        at java.util.stream.AbstractPipeline.evaluate(AbstractPipeline.java:233)
        at java.util.stream.ReferencePipeline.collect(ReferencePipeline.java:499)
        at org.glassfish.jersey.inject.hk2.AbstractHk2InjectionManager.getAllServiceHolders(AbstractHk2InjectionManager.java:134)
        at org.glassfish.jersey.inject.hk2.ImmediateHk2InjectionManager.getAllServiceHolders(ImmediateHk2InjectionManager.java:30)
        at org.glassfish.jersey.internal.inject.Providers.getServiceHolders(Providers.java:307)
        at org.glassfish.jersey.internal.inject.Providers.getCustomProviders(Providers.java:151)
        at org.glassfish.jersey.message.internal.MessageBodyFactory.initialize(MessageBodyFactory.java:219)
        at org.glassfish.jersey.client.ClientMessageBodyFactory$MessageBodyWorkersConfigurator.postInit(ClientMessageBodyFactory.java:76)
        at org.glassfish.jersey.client.ClientConfig$State.lambda$initRuntime$2(ClientConfig.java:456)
        at org.glassfish.jersey.client.ClientConfig$State$$Lambda$2/38556815.accept(Unknown Source)
        at java.util.Arrays$ArrayList.forEach(Arrays.java:3879)
        at org.glassfish.jersey.client.ClientConfig$State.initRuntime(ClientConfig.java:458)
        at org.glassfish.jersey.client.ClientConfig$State$$Lambda$0/3906922.get(Unknown Source)
        at org.glassfish.jersey.internal.util.collection.Values$LazyValueImpl.get(Values.java:317)
        at org.glassfish.jersey.client.ClientConfig.getRuntime(ClientConfig.java:814)
        at org.glassfish.jersey.client.ClientRequest.getClientRuntime(ClientRequest.java:219)
        at org.glassfish.jersey.client.ClientRequest.getInjectionManager(ClientRequest.java:610)
        at org.glassfish.jersey.client.JerseyWebTarget.onBuilder(JerseyWebTarget.java:364)
        at org.glassfish.jersey.client.JerseyWebTarget.request(JerseyWebTarget.java:192)
        at org.glassfish.jersey.client.JerseyWebTarget.request(JerseyWebTarget.java:36)
        at ch.cyberduck.core.sds.io.swagger.client.ApiClient.invokeAPI(ApiClient.java:674)
        at ch.cyberduck.core.sds.SDSApiClient.invokeAPI(SDSApiClient.java:51)
        at ch.cyberduck.core.sds.io.swagger.client.api.PublicApi.requestSoftwareVersion(PublicApi.java:649)
        at ch.cyberduck.core.sds.SDSSession.softwareVersion(SDSSession.java:518)
        at ch.cyberduck.core.sds.SDSSession.login(SDSSession.java:242)
        at ch.cyberduck.core.KeychainLoginService.authenticate(KeychainLoginService.java:175)
        at ch.cyberduck.core.LoginConnectionService.authenticate(LoginConnectionService.java:179)
        at ch.cyberduck.core.LoginConnectionService.connect(LoginConnectionService.java:170)
        at ch.cyberduck.core.LoginConnectionService.check(LoginConnectionService.java:109)
        at ch.cyberduck.core.pool.StatelessSessionPool.borrow(StatelessSessionPool.java:67)
        at ch.cyberduck.core.threading.SessionBackgroundAction.run(SessionBackgroundAction.java:131)
        at ch.cyberduck.core.threading.SessionBackgroundAction$1.call(SessionBackgroundAction.java:116)
        at ch.cyberduck.core.threading.DefaultRetryCallable.call(DefaultRetryCallable.java:50)
        at ch.cyberduck.core.threading.SessionBackgroundAction.call(SessionBackgroundAction.java:118)
        at ch.cyberduck.core.threading.BackgroundCallable.run(BackgroundCallable.java:94)
        at ch.cyberduck.core.threading.BackgroundCallable.call(BackgroundCallable.java:58)
        at java.util.concurrent.FutureTask.run(FutureTask.java:266)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:618)
        at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:59)
        at java.lang.Thread.run(Thread.java:955)
MultiException stack 2 of 2
java.lang.IllegalStateException: Unable to perform operation: create on org.glassfish.jersey.jackson.internal.DefaultJacksonJaxbJsonProvider
        at org.jvnet.hk2.internal.ClazzCreator.create(ClazzCreator.java:369)
        at org.jvnet.hk2.internal.SystemDescriptor.create(SystemDescriptor.java:463)
        at org.jvnet.hk2.internal.SingletonContext$1.compute(SingletonContext.java:59)
        at org.jvnet.hk2.internal.SingletonContext$1.compute(SingletonContext.java:47)
        at org.glassfish.hk2.utilities.cache.Cache$OriginThreadAwareFuture$1.call(Cache.java:74)
        at java.util.concurrent.FutureTask.run(FutureTask.java:266)
        at org.glassfish.hk2.utilities.cache.Cache$OriginThreadAwareFuture.run(Cache.java:132)
        at org.glassfish.hk2.utilities.cache.Cache.compute(Cache.java:176)
        at org.jvnet.hk2.internal.SingletonContext.findOrCreate(SingletonContext.java:98)
        at org.jvnet.hk2.internal.Utilities.createService(Utilities.java:2102)
        at org.jvnet.hk2.internal.ServiceHandleImpl.getService(ServiceHandleImpl.java:93)
        at org.jvnet.hk2.internal.ServiceHandleImpl.getService(ServiceHandleImpl.java:67)
        at org.glassfish.jersey.inject.hk2.AbstractHk2InjectionManager.lambda$getAllServiceHolders$0(AbstractHk2InjectionManager.java:135)
        at org.glassfish.jersey.inject.hk2.AbstractHk2InjectionManager$$Lambda$0/35965475.apply(Unknown Source)
        at java.util.stream.ReferencePipeline$3$1.accept(ReferencePipeline.java:193)
        at java.util.LinkedList$LLSpliterator.forEachRemaining(LinkedList.java:1236)
        at java.util.stream.AbstractPipeline.copyInto(AbstractPipeline.java:513)
        at java.util.stream.AbstractPipeline.wrapAndCopyInto(AbstractPipeline.java:503)
        at java.util.stream.ReduceOps$ReduceOp.evaluateSequential(ReduceOps.java:708)
        at java.util.stream.AbstractPipeline.evaluate(AbstractPipeline.java:233)
        at java.util.stream.ReferencePipeline.collect(ReferencePipeline.java:499)
        at org.glassfish.jersey.inject.hk2.AbstractHk2InjectionManager.getAllServiceHolders(AbstractHk2InjectionManager.java:134)
        at org.glassfish.jersey.inject.hk2.ImmediateHk2InjectionManager.getAllServiceHolders(ImmediateHk2InjectionManager.java:30)
        at org.glassfish.jersey.internal.inject.Providers.getServiceHolders(Providers.java:307)
        at org.glassfish.jersey.internal.inject.Providers.getCustomProviders(Providers.java:151)
        at org.glassfish.jersey.message.internal.MessageBodyFactory.initialize(MessageBodyFactory.java:219)
        at org.glassfish.jersey.client.ClientMessageBodyFactory$MessageBodyWorkersConfigurator.postInit(ClientMessageBodyFactory.java:76)
        at org.glassfish.jersey.client.ClientConfig$State.lambda$initRuntime$2(ClientConfig.java:456)
        at org.glassfish.jersey.client.ClientConfig$State$$Lambda$2/38556815.accept(Unknown Source)
        at java.util.Arrays$ArrayList.forEach(Arrays.java:3879)
        at org.glassfish.jersey.client.ClientConfig$State.initRuntime(ClientConfig.java:458)
        at org.glassfish.jersey.client.ClientConfig$State$$Lambda$0/3906922.get(Unknown Source)
        at org.glassfish.jersey.internal.util.collection.Values$LazyValueImpl.get(Values.java:317)
        at org.glassfish.jersey.client.ClientConfig.getRuntime(ClientConfig.java:814)
        at org.glassfish.jersey.client.ClientRequest.getClientRuntime(ClientRequest.java:219)
        at org.glassfish.jersey.client.ClientRequest.getInjectionManager(ClientRequest.java:610)
        at org.glassfish.jersey.client.JerseyWebTarget.onBuilder(JerseyWebTarget.java:364)
        at org.glassfish.jersey.client.JerseyWebTarget.request(JerseyWebTarget.java:192)
        at org.glassfish.jersey.client.JerseyWebTarget.request(JerseyWebTarget.java:36)
        at ch.cyberduck.core.sds.io.swagger.client.ApiClient.invokeAPI(ApiClient.java:674)
        at ch.cyberduck.core.sds.SDSApiClient.invokeAPI(SDSApiClient.java:51)
        at ch.cyberduck.core.sds.io.swagger.client.api.PublicApi.requestSoftwareVersion(PublicApi.java:649)
        at ch.cyberduck.core.sds.SDSSession.softwareVersion(SDSSession.java:518)
        at ch.cyberduck.core.sds.SDSSession.login(SDSSession.java:242)
        at ch.cyberduck.core.KeychainLoginService.authenticate(KeychainLoginService.java:175)
        at ch.cyberduck.core.LoginConnectionService.authenticate(LoginConnectionService.java:179)
        at ch.cyberduck.core.LoginConnectionService.connect(LoginConnectionService.java:170)
        at ch.cyberduck.core.LoginConnectionService.check(LoginConnectionService.java:109)
        at ch.cyberduck.core.pool.StatelessSessionPool.borrow(StatelessSessionPool.java:67)
        at ch.cyberduck.core.threading.SessionBackgroundAction.run(SessionBackgroundAction.java:131)
        at ch.cyberduck.core.threading.SessionBackgroundAction$1.call(SessionBackgroundAction.java:116)
        at ch.cyberduck.core.threading.DefaultRetryCallable.call(DefaultRetryCallable.java:50)
        at ch.cyberduck.core.threading.SessionBackgroundAction.call(SessionBackgroundAction.java:118)
        at ch.cyberduck.core.threading.BackgroundCallable.run(BackgroundCallable.java:94)
        at ch.cyberduck.core.threading.BackgroundCallable.call(BackgroundCallable.java:58)
        at java.util.concurrent.FutureTask.run(FutureTask.java:266)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:618)
        at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:59)
        at java.lang.Thread.run(Thread.java:955)


[background-1] WARN  ch.cyberduck.core.threading.BackgroundCallable - Failure A MultiException has 2 exceptions.  They are:
1. java.util.ServiceConfigurationError: com.fasterxml.jackson.databind.Module: Provider com.fasterxml.jackson.datatype.jdk8.Jdk8Module not found
2. java.lang.IllegalStateException: Unable to perform operation: create on org.glassfish.jersey.jackson.internal.DefaultJacksonJaxbJsonProvider
 running background task
[background-1] INFO  ch.cyberduck.core.threading.SessionBackgroundAction - Run alert callback ch.cyberduck.cli.TerminalAlertCallback@37ad099 for failure BackgroundException{class=class ch.cyberduck.core.exception.ConnectionCanceledException, file=null, message='Error', detail='Unknown application error. A MultiException has 2 exceptions.  They are:
1. java.util.ServiceConfigurationError: com.fasterxml.jackson.databind.Module: Provider com.fasterxml.jackson.datatype.jdk8.Jdk8Module not found
2. java.lang.IllegalStateException: Unable to perform operation: create on org.glassfish.jersey.jackson.internal.DefaultJacksonJaxbJsonProvider.', cause='A MultiException has 2 exceptions.  They are:
1. java.util.ServiceConfigurationError: com.fasterxml.jackson.databind.Module: Provider com.fasterxml.jackson.datatype.jdk8.Jdk8Module not found
2. java.lang.IllegalStateException: Unable to perform operation: create on org.glassfish.jersey.jackson.internal.DefaultJacksonJaxbJsonProvider
'}
[background-1] DEBUG ch.cyberduck.core.threading.DefaultFailureDiagnostics - Determine cause for failure BackgroundException{class=class ch.cyberduck.core.exception.ConnectionCanceledException, file=null, message='Error', detail='Unknown application error. A MultiException has 2 exceptions.  They are:
1. java.util.ServiceConfigurationError: com.fasterxml.jackson.databind.Module: Provider com.fasterxml.jackson.datatype.jdk8.Jdk8Module not found
2. java.lang.IllegalStateException: Unable to perform operation: create on org.glassfish.jersey.jackson.internal.DefaultJacksonJaxbJsonProvider.', cause='A MultiException has 2 exceptions.  They are:
1. java.util.ServiceConfigurationError: com.fasterxml.jackson.databind.Module: Provider com.fasterxml.jackson.datatype.jdk8.Jdk8Module not found
2. java.lang.IllegalStateException: Unable to perform operation: create on org.glassfish.jersey.jackson.internal.DefaultJacksonJaxbJsonProvider
'}
[background-1] DEBUG ch.cyberduck.core.threading.BackgroundCallable - Return result null from background action WorkerBackgroundAction{worker=SessionListWorker{directory=Path{path='/', type=[directory]}}}
[background-1] DEBUG ch.cyberduck.core.threading.AbstractBackgroundAction - Finish background task WorkerBackgroundAction{worker=SessionListWorker{directory=Path{path='/', type=[directory]}}}

Change History (4)

comment:1 Changed on Dec 24, 2020 at 11:08:16 AM by dkocher

Possibly related to r47760.

comment:2 Changed on Dec 30, 2020 at 10:15:06 AM by dkocher

  • Version changed from 7.7.2 to 7.4.1

comment:3 Changed on Dec 30, 2020 at 10:27:38 AM by dkocher

Caused by dependency update in r49307 with upstream changeset https://github.com/eclipse-ee4j/jersey/pull/4447.

comment:4 Changed on Jan 4, 2021 at 9:49:08 AM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r50400.

Note: See TracTickets for help on using tickets.